org.keycloak.protocol.oidc.endpoints

## Class TokenEndpoint

- java.lang.Object
- - org.keycloak.protocol.oidc.endpoints.TokenEndpoint

-     public class TokenEndpoint
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TokenEndpoint.TokenExchangeSamlProtocol`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenEndpoint(TokenManager tokenManager, RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `cibaGrant()`
    `javax.ws.rs.core.Response` | `clientCredentialsGrant()`
    `javax.ws.rs.core.Response` | `codeToToken()`
    `javax.ws.rs.core.Response` | `createTokenResponse(UserModel user, UserSessionModel userSession, ClientSessionContext clientSessionCtx, String scopeParam, boolean code)`
    `Object` | `introspect()`
    `javax.ws.rs.core.Response` | `oauth2DeviceCodeToToken()`
    `javax.ws.rs.core.Response` | `permissionGrant()`
    `javax.ws.rs.core.Response` | `preflight()`
    `javax.ws.rs.core.Response` | `processGrantRequest()`
    `javax.ws.rs.core.Response` | `refreshTokenGrant()`
    `javax.ws.rs.core.Response` | `resourceOwnerPasswordCredentialsGrant()`
    `javax.ws.rs.core.Response` | `tokenExchange()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenEndpoint

          public TokenEndpoint(TokenManager tokenManager,
                               RealmModel realm,
                               EventBuilder event)

  - ### Method Detail

    - #### processGrantRequest

          @Consumes(value="application/x-www-form-urlencoded")
           @POST
          public javax.ws.rs.core.Response processGrantRequest()

    - #### introspect

          @Path(value="introspect")
          public Object introspect()

    - #### preflight

          @OPTIONS
          public javax.ws.rs.core.Response preflight()

    - #### codeToToken

          public javax.ws.rs.core.Response codeToToken()

    - #### createTokenResponse

          public javax.ws.rs.core.Response createTokenResponse(UserModel user,
                                                               UserSessionModel userSession,
                                                               ClientSessionContext clientSessionCtx,
                                                               String scopeParam,
                                                               boolean code)

    - #### refreshTokenGrant

          public javax.ws.rs.core.Response refreshTokenGrant()

    - #### resourceOwnerPasswordCredentialsGrant

          public javax.ws.rs.core.Response resourceOwnerPasswordCredentialsGrant()

    - #### clientCredentialsGrant

          public javax.ws.rs.core.Response clientCredentialsGrant()

    - #### tokenExchange

          public javax.ws.rs.core.Response tokenExchange()

    - #### permissionGrant

          public javax.ws.rs.core.Response permissionGrant()

    - #### oauth2DeviceCodeToToken

          public javax.ws.rs.core.Response oauth2DeviceCodeToToken()

    - #### cibaGrant

          public javax.ws.rs.core.Response cibaGrant()

Copyright © 2021 JBoss by Red Hat. All rights reserved.